(function ($, Drupal) {

  Drupal.behaviors.improvementsRecaptcha = {
    attach: function attach(context, settings) {
      if (context.tagName == 'SCRIPT') {
        return;
      }

      // Fix recaptcha on dynamic loaded html
      if ('grecaptcha' in window && context !== document) {
        $('.g-recaptcha:empty', context).each(function () {
          grecaptcha.render(this, $(this).data());
        });
      }
    }
  };

})(jQuery, Drupal);
