<?php

namespace Drupal\improvements\Ajax;

use Drupal\Core\Ajax\CommandInterface;

class ConsoleLogCommand implements CommandInterface {

  protected $message;

  /**
   * Command constructor.
   */
  public function __construct($message) {
    $this->message = $message;
  }

  /**
   * {@inheritDoc}
   */
  public function render(): array {
    return [
      'command' => 'consoleLog',
      'message' => $this->message,
    ];
  }

}
